import { ObjMap, TimeUnit } from '@tangential/core';
import { Duration } from 'moment';
export declare class DurationPickerFieldsState {
    picker: DurationPickerState;
    index: number;
    unit: TimeUnit;
    selected: boolean;
    next: DurationPickerFieldsState | undefined;
    previous: DurationPickerFieldsState | undefined;
    constructor(picker: DurationPickerState, unit: TimeUnit);
    get label(): string;
    canSelect(): boolean;
    canDeselect(): boolean;
    canToggleSelection(): boolean;
    get value(): number;
    set value(val: number);
    get separator(): string;
    get max(): number;
}
/** @todo: ggranum: Remove use of MomentJS if possible. */
export declare class DurationPickerState {
    fields: DurationPickerFieldsState[];
    fieldsByKey: ObjMap<DurationPickerFieldsState>;
    duration: Duration;
    max: number;
    constructor();
    selectedFields(): DurationPickerFieldsState[];
    selectedCount(): number;
    setDuration(duration: Duration): void;
    select(unit: TimeUnit): void;
    get millis(): number;
}
